﻿@font-face {
    font-family: 'oxygenregular';
    src: url("Oxygen-regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

* {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

html, body {
    height: 100%;
    margin: 0;
}

body {
    background: #ffffff;
    -ms-touch-action: none;
    font-family: 'oxygenregular', Arial, sans-serif;
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
}

#container {
    flex: 1;
    text-align: center;
    position: relative;
}

.pubhub-player #time {
    font-size: 1em;
    width: 100%;
    margin: 0 auto;
    position: relative;
}

.pubhub-player .dropdown {
    position: unset;
}

.pubhub-player .dropdown-menu {
    padding: 10px;
    min-width: 280px;
    left: 50%;
    transform: translateX(-50%);
    height: auto;
    max-height: 200px;
}

.pubhub-player .dropdown-menu-full {
    padding: 0;
    top: 0;
    max-height: 100%;
    max-width: 50%;
    overflow: auto;
}

.pubhub-player .dropdown-menu a {
    cursor: pointer;
    font-weight: 600 !important;
    white-space: initial !important;
}

.pubhub-player .dropdown-menu .left {
    min-width: 60px;
    display: inline-block;
    font-weight: 400 !important;
}

.pubhub-player .progress {
    height: 40px !important;
    border-radius: 0 !important;
    position: relative;
    width: auto;
    margin: 0 12px 0 12px;
    background-color: #353535;
    overflow: visible;
}

.pubhub-player .progress .status {
    position: absolute;
    left: 0;
    -moz-transition: none !important;
    -o-transition: none !important;
    -webkit-transition: none !important;
    transition: none !important;
}

.pubhub-player .progress .available, .progress .unavailable {
    z-index: 30;
    position: absolute;
    margin-top: 0;
    -webkit-background-size: 36px 36px;
    background-size: 36px 36px;
}

.pubhub-player .progress .available {
    background-color: transparent;
}

.pubhub-player .progress .unavailable {
    opacity: .5;
    background-color: #aaaaaa;
}

.pubhub-player .progress .status {
    z-index: 20;
    width: 100%;
}

.pubhub-player #progressbar-progress {
    position: absolute;
    top: 0;
    height: 100%;
}

.pubhub-player label {
    margin-top: 0;
}

.pubhub-player .progressCircle {
    height: 15px;
    width: 15px;
    background: #fff;
    border-radius: 0px;
    position: absolute;
    display: block;
    top: -5px;
    left: 0px;
    z-index: 99999999;
}

.pubhub-player .progress-button-wrapper {
    padding: 10px;
    padding-bottom: 0;
    width: 30px;
    position: absolute;
    right: -15px;
    height: 40px;
    z-index: 40;
    cursor: pointer;
}

.pubhub-player .progress-button {
    left: 5px;
    width: 20px;
    height: 20px;
    border-radius: 10px;
}

.pubhub-player #progress .progress-bar {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    animation-play-state: paused;
}

.pubhub-player #progress.loading .progress-bar {
    -webkit-animation-play-state: running;
    -moz-animation-play-state: running;
    animation-play-state: running;
}

.pubhub-player .backstretch {
    opacity: 0.6;
    filter: alpha(opacity=60);
}

.pubhub-player #title {
    text-align: center;
    font-size: 18pt;
    line-height: 1;
    margin-bottom: 15px;
}

.pubhub-player #chapter {
    margin: 0 auto;
    font-size: 13pt;
    margin-top: -15px;
}


.pubhub-player .btn {
    min-width: 54px;
    height: 40px;
}

.pubhub-player .btn div {
    font-size: 13px;
    line-height: 0.9;
}


/*Tooltip*/
.pubhub-player .tooltip {
    font-family: Ubuntu, sans-serif;
}

.pubhub-player #tooltip {
    font-family: Ubuntu, sans-serif;
    font-size: 0.875em;
    text-align: center;
    text-shadow: 0 1px rgba( 0, 0, 0, .5 );
    line-height: 1.5;
    color: #fff;
    background: #333;
    background: -webkit-gradient( linear, left top, left bottom, from( rgba( 0, 0, 0, .6 ) ), to( rgba( 0, 0, 0, .8 ) ) );
    background: -webkit-linear-gradient( top, rgba( 0, 0, 0, .6 ), rgba( 0, 0, 0, .8 ) );
    background: -moz-linear-gradient( top, rgba( 0, 0, 0, .6 ), rgba( 0, 0, 0, .8 ) );
    background: -ms-radial-gradient( top, rgba( 0, 0, 0, .6 ), rgba( 0, 0, 0, .8 ) );
    background: -o-linear-gradient( top, rgba( 0, 0, 0, .6 ), rgba( 0, 0, 0, .8 ) );
    background: linear-gradient( top, rgba( 0, 0, 0, .6 ), rgba( 0, 0, 0, .8 ) );
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border-top: 1px solid #fff;
    -webkit-box-shadow: 0 3px 5px rgba( 0, 0, 0, .3 );
    -moz-box-shadow: 0 3px 5px rgba( 0, 0, 0, .3 );
    box-shadow: 0 3px 5px rgba( 0, 0, 0, .3 );
    position: absolute;
    z-index: 100;
    padding: 5px 15px 5px 15px;
}

.pubhub-player #tooltip:after {
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #333;
    border-top-color: rgba( 0, 0, 0, .7 );
    content: '';
    position: absolute;
    left: 50%;
    bottom: -10px;
    margin-left: -10px;
}

.pubhub-player #tooltip.top:after {
    border-top-color: transparent;
    border-bottom: 10px solid #333;
    border-bottom-color: rgba( 0, 0, 0, .6 );
    top: -20px;
    bottom: auto;
}

.pubhub-player #tooltip.left:after {
    left: 10px;
    margin: 0;
}

.pubhub-player #tooltip.right:after {
    right: 10px;
    left: auto;
    margin: 0;
}

.pubhub-player .dropdown-menu > .active > a,
.pubhub-player .dropdown-menu > .active > a:hover,
.pubhub-player .dropdown-menu > .active > a:focus {
    background-color: #be0036;
}



/*!
 * Slider for Bootstrap
 *
 * Copyright 2012 Stefan Petre
 * Licensed under the Apache License v2.0
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 */
.pubhub-player .slider {
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

.pubhub-player .slider.slider-horizontal {
    width: 210px;
    height: 20px;
}

.pubhub-player .slider.slider-horizontal .slider-track {
    height: 10px;
    width: 100%;
    margin-top: -5px;
    top: 50%;
    left: 0;
}

.pubhub-player .slider.slider-horizontal .slider-selection {
    height: 100%;
    top: 0;
    bottom: 0;
}

.pubhub-player .slider.slider-horizontal .slider-handle {
    margin-left: -10px;
    margin-top: -5px;
}

.pubhub-player .slider.slider-horizontal .slider-handle.triangle {
    border-width: 0 10px 10px 10px;
    width: 0;
    height: 0;
    border-bottom-color: #0480be;
    margin-top: 0;
}

.pubhub-player .slider.slider-vertical {
    height: 210px;
    width: 20px;
}

.pubhub-player .slider.slider-vertical .slider-track {
    width: 10px;
    height: 100%;
    margin-left: -5px;
    left: 50%;
    top: 0;
}

.pubhub-player .slider.slider-vertical .slider-selection {
    width: 100%;
    left: 0;
    top: 0;
    bottom: 0;
}

.pubhub-player .slider.slider-vertical .slider-handle {
    margin-left: -5px;
    margin-top: -10px;
}

.pubhub-player .slider.slider-vertical .slider-handle.triangle {
    border-width: 10px 0 10px 10px;
    width: 1px;
    height: 1px;
    border-left-color: #0480be;
    margin-left: 0;
}

.pubhub-player .slider input {
    display: none;
}

.pubhub-player .slider .tooltip-inner {
    white-space: nowrap;
}

.pubhub-player .slider-track {
    position: absolute;
    cursor: pointer;
    background-color: #f4f4f4;
    background-image: -moz-linear-gradient(top, #f3f3f3, #f8f8f8);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f3f3f3), to(#f8f8f8));
    background-image: -webkit-linear-gradient(top, #f3f3f3, #f8f8f8);
    background-image: -o-linear-gradient(top, #f3f3f3, #f8f8f8);
    background-image: linear-gradient(to bottom, #f3f3f3, #f8f8f8);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff3f3f3', endColorstr='#fff8f8f8', GradientType=0);
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.pubhub-player .slider-selection {
    position: absolute;
    background-color: #f7f7f7;
    background-image: -moz-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f5f5f5), to(#f9f9f9));
    background-image: -webkit-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: -o-linear-gradient(top, #f5f5f5, #f9f9f9);
    background-image: linear-gradient(to bottom, #f5f5f5, #f9f9f9);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#fff9f9f9', GradientType=0);
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.pubhub-player .slider-handle {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #888888;
    /*background-image: -moz-linear-gradient(top, #149bdf, #0480be);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#149bdf), to(#0480be));
    background-image: -webkit-linear-gradient(top, #149bdf, #0480be);
    background-image: -o-linear-gradient(top, #149bdf, #0480be);
    background-image: linear-gradient(to bottom, #149bdf, #0480be);
    background-repeat: repeat-x;*/
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff149bdf', endColorstr='#ff0480be', GradientType=0);
    /*-webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
    -moz-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
    box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);

    
    background: #fafafa;
    -webkit-box-shadow: inset 0 1px 1px rgba(255,255,255,0.8),inset 0 4px 6px rgba(0,0,0,0.2), 0 2px 5px rgba(0,0,0,0.1);
    -moz-box-shadow: inset 0 1px 1px rgba(255,255,255,0.8),inset 0 4px 6px rgba(0,0,0,0.2), 0 2px 5px rgba(0,0,0,0.1);
    box-shadow: inset 0 1px 1px rgba(255,255,255,0.8),inset 0 4px 6px rgba(0,0,0,0.2), 0 2px 5px rgba(0,0,0,0.1);*/
}

.pubhub-player .slider-handle.round {
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}

.pubhub-player .slider-handle.triangle {
    background: transparent none;
}

.pubhub-player .slider {
    width: 100% !important;
    /*display: none ;*/
}

.pubhub-player #fastforward-slider {
    height: 12px;
    margin-top: -12px;
    pointer-events: none;
}

.pubhub-player .fastforward-handle,
.pubhub-player .slider-handle {
    background: #fafafa;
    -webkit-box-shadow: inset 0 1px 1px rgba(255,255,255,0.8), 0 3px 3px rgba(0,0,0,.15), 0 0 0 1px rgba(0,0,0,0.09);
    -moz-box-shadow: inset 0 1px 1px rgba(255,255,255,0.8), 0 3px 3px rgba(0,0,0,.15), 0 0 0 1px rgba(0,0,0,0.09);
    box-shadow: inset 0 1px 1px rgba(255,255,255,0.8), 0 3px 3px rgba(0,0,0,.15), 0 0 0 1px rgba(0,0,0,0.09);
    transition: padding 0.3s ease;
}

.dropdown-menu > li > a:active {
    color: #262626;
    background-color: #f5f5f5;
}

html.no-touch .pubhub-player .slider-handle:hover,
html.no-touch .pubhub-player .slider-handle.active,
html.no-touch .pubhub-player .progress-button-wrapper:hover .slider-handle,
html.no-touch .pubhub-player .progress-button-wrapper.active .slider-handle,
html.no-touch .pubhub-player .fastforward-handle-wrapper > div:hover .fastforward-handle,
.pubhub-player #fastforward-slider.active .fastforward-handle {
    background: #fff;
}

html.no-touch .pubhub-player .fastforward-handle-wrapper > div:hover .fastforward-handle-area,
.pubhub-player #fastforward-slider.active .fastforward-handle-area {
    width: 98px;
}

.pubhub-player .fastforward-handle .glyphicon {
    opacity: .4;
}

html.no-touch .pubhub-player .fastforward-handle-wrapper > div:hover .glyphicon,
.pubhub-player #fastforward-slider.active .glyphicon {
    opacity: .9;
}

.pubhub-player .fastforward-handle > span {
    line-height: 26px;
    display: table-cell;
}

.pubhub-player .fastforward-handle .glyphicon {
    top: 0;
}

.pubhub-player .fastforward-handle-wrapper {
    position: absolute;
    cursor: pointer;
    z-index: 50;
    /*padding: 6px;*/
    margin-top: -2px;
    width: 0;
    height: 0;
}

.pubhub-player .fastforward-handle-wrapper > div {
    display: inline-block;
    height: 0;
}

.pubhub-player .fastforward-handle-wrapper .fastforward-handle-area {
    width: 88px;
    margin-left: -50%;
    padding: 5px 20px;
    margin-top: -19px;
    transition: width 0.2s ease;
    pointer-events: all;
}

.pubhub-player .fastforward-handle {
    display: table;
    font-size: 75%;
    /*opacity: 0.9;
    width: 48px;
    margin-left: -50%;*/
    width: 100%;
    height: 26px;
    padding: 0px 3px 0 3px;
    text-align: center;
    -webkit-border-radius: 13px;
    -moz-border-radius: 13px;
    border-radius: 13px;
}

.pubhub-player #buttonRow2 {
    position: relative;
    display: flex;
    justify-content: center;
}

.pubhub-player #volume-container {
    position: absolute;
    left: 60%;
    left: calc(50% + 100px);
    top: 10px;
    right: 21px;
}

/****** Redia styling *******/
/*
#container {
    margin: 0;
    margin-top: 0 !important;
    padding: 0;
    height: 67px;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 50%;
    float: none;
    width: 100%;
    text-align: center;
}

#time {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0;
    padding: 0;
    height: 118px;
    background: none !important;
}*/

.pubhub-player #buttonRow1 {
    position: relative;
    width: 100%;
}

.pubhub-player #buttonRow1 .buttons {
    margin: 0 auto;
    padding: 0 86px;
    z-index: 1;
    position: relative;
}

.pubhub-player #buttonRow1 .btn {
    width: 60px;
    height: 60px;
    padding: 0;
    margin: 0 !important;
}

.pubhub-player #buttonRow1 .btn .glyphicon {
    font-size: 20px;
}

.pubhub-player #buttonRow1 .btn .glyphicon.smaller {
    font-size: 16px;
}

.pubhub-player .btn-default {
    border: none;
    background: none;
}

.pubhub-player .btn-default:hover,
.pubhub-player .btn-default:focus,
.pubhub-player .btn-default:active {
    /*border: 2px solid black;*/
}

.pubhub-player .btn {
    /*outline: none;*/
}

.pubhub-player .btn:hover {
    /*border: none;*/
    /*outline: none;*/
}

.pubhub-player .btn:focus {
 /*   border: none;
    outline: none;*/
}

.pubhub-player .btn:active {
    border/*: none;
    outline: none*/;
}


/*#time .progress .available {
    background-color: #c9c9c9;
}
    */

.pubhub-player #time .progress .status {
    background-color: #be0036;
    -webkit-box-shadow: -1px 0 0 rgba(255,255,255, .2) inset, 1px 0 0 rgba(255,255,255, .2) inset;
    -ms-box-shadow: -1px 0 0 rgba(255,255,255, .2) inset, 1px 0 0 rgba(255,255,255, .2) inset;
    box-shadow: -1px 0 0 rgba(255,255,255, .2) inset, 1px 0 0 rgba(255,255,255, .2) inset;
    border: 1px solid rgba(0,0,0,0.2);
}

.pubhub-player .btn:focus,
.pubhub-player .btn:active:focus,
.pubhub-player .btn.active:focus,
.pubhub-player .slider-handle:focus {
    outline: none;
}

.pubhub-player .btn:focus-visible,
.pubhub-player .btn:active:focus-visible,
.pubhub-player .btn.active:focus-visible,
.pubhub-player .slider-handle:focus-visible {
    outline: 2px solid #be0036;
}


.pubhub-player .progress-time {
    position: absolute;
    top: 17px;
    left: 18px;
    right: 18px;
    font-size: 19px;
    letter-spacing: 0.5px;
}

.pubhub-player .progress-time .current {
    float: left;
}

.pubhub-player .progress-time .total {
    float: right;
}

/*#time .progress-time p {
    display: block;
    float: left;
    width: 100%;
    line-height: 24px !important;
    margin: 18px 0 18px 0 !important;
}*/

.pubhub-player button.night {
    display: none;
}

.pubhub-player .fastforward-handle .glyphicon-backward {
    left: -2px;
}

.pubhub-player .fastforward-handle .glyphicon-forward {
    right: -2px;
}

.pubhub-player .glyphicon-backward {
    left: -2px;
}

.pubhub-player .glyphicon-forward {
    left: 2px;
}


/*** Disable bootstrap hover effects on touch devices ***/
/*.pubhub-player .btn:focus {
    background: none;
}*/

.pubhub-player .btn,
html.touch .pubhub-player .btn:hover,
html.touch .pubhub-player .btn:focus,
html.touch .pubhub-player .btn:active { 
    box-shadow: none;
    border-radius: 0;
    -webkit-transition: background-color .25s ease-out;
    -moz-transition: background-color .25s ease-out;
    -o-transition: background-color .25s ease-out;
    transition: background-color .25s ease-out;
}

html.no-touch .pubhub-player .btn:hover,
.pubhub-player .btn.active {
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: rgba(0,0,0,0.12) !important;
    -webkit-transition: background-color .1s ease-out !important;
    -moz-transition: background-color .1s ease-out !important;
    -o-transition: background-color .1s ease-out !important;
    transition: background-color .1s ease-out !important;
}

.pubhub-player a,
.pubhub-player .btn {
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    -webkit-tap-highlight-color: transparent;
}

.pubhub-player #loader {
    display: none;
}

.pubhub-player #loader .text {
    font-size: 1.2em;
    margin: 10px 5px 0 5px;
    word-break: break-word;
}

/* Spinkit spinner */
.pubhub-player .spinner {
    margin: 0 auto;
    width: 50px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.pubhub-player .spinner > div {
    height: 100%;
    width: 6px;
    display: inline-block;
    margin: 0 1px;
    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#be0036+0,8f0026+100 */
    background: #be0036; /* Old browsers */
    background: -moz-linear-gradient(left, #c4194a 0%, #98002b 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #c4194a 0%,#98002b 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #c4194a 0%,#98002b 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    -webkit-box-shadow: 1px 2px 3px rgba(0,0,0,0.5);
    -ms-box-shadow: 1px 2px 3px rgba(0,0,0,0.5);
    box-shadow: 1px 2px 3px rgba(0,0,0,0.5);
    margin: 0 1px 0 2px;
}

.pubhub-player .spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.pubhub-player .spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.pubhub-player .spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.pubhub-player .spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4);
    }

    20% {
        -webkit-transform: scaleY(1.0);
    }
}

@keyframes sk-stretchdelay {
  0%, 40%, 100% { 
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }  20% { 
    transform: scaleY(1.0);
    -webkit-transform: scaleY(1.0);
  }
}

@media (max-width: 700px) {
    .pubhub-player #title {
        bottom: 105px;
    }

    .pubhub-player #buttonRow1 .buttons {
        padding: 18px 0 0 0;
    }

    .pubhub-player #buttonRow1 .btn {
        width: 55px;
        height: 55px;
    }

    .pubhub-player #buttonRow1 .btn .glyphicon {
        font-size: 16px;
    }

    .pubhub-player #buttonRow1 .btn .glyphicon.smaller {
        font-size: 13px;
    }

    .pubhub-player .progress-time {
        top: 7px;
        font-size: 14px;
        letter-spacing: 0.3px;
    }
}